Subject: Re: [bug#70078] [PATCH v2] gnu: Add stremio.

From: Divya Ranjan Pattanaik <[email-masked]>
Date: Sun, 20 Apr 2025 12:40:44 +0000

Hello Sergio and Andreas,

>> I also did not find a license for the "embedded"
>> stremio-server-4.20.8.js file; the file itself says
>>    /*! For license information please see server.js.LICENSE.txt */
>> but where is this file?
>> I also found this open issue
>>    https://github.com/Stremio/stremio-service/issues/49
>> which seems to indicate that the code is not free.
>
> I could neither find the license for that file. It's probably an
> overlooked issue, I think we can probably get in touch with the
> developers to clarify that. Reading that issue, it seems that they did
> not have the source code available for the "server.js", which now it is,
> as you can see[1].
>
> Also this post[2] seem to indicate that the intention of the Stremio
> developers it to open-source everything.
>
> [1] https://dl.strem.io/server/v4.20.8/desktop/server.js
> [2]
> https://blog.stremio.com/announcing-stremio-core-embracing-open-source-and-rust
>
> Reading that post it seems that the "server.js" should also fall under
> an open-source license.
>
> What do you reckon? Do we need to contact the developers before merging
> the package?

I concur with Sergio, the server.js has been available now and the
announcement post does make it clear that it is "open-source". Now of
course we need a license to make it clear if it’s libre (GPL-compatible)
or not. We should contact the developers for that. But I think it is
GPL-compatible, since if you look at the flatpak of Stremio[0] it says
that GPL-3.0-or-later.

So I don’t think there’s much to worry, we should double check it from
the devs and then go forward in adding it. Stremio is a godsend for
people who torrent and self-host their media content.

[0]: https://flathub.org/apps/com.stremio.Stremio

Regards,
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A